/// <reference types="miniprogram-api-typings" />
import { Renderer2, RendererStyleFlags2 } from '@angular/core';
import { AgentNode } from './agent-node';
export declare class MiniProgramRenderer implements Renderer2 {
    root: AgentNode;
    constructor();
    data: any;
    destroy(): void;
    createElement(name: string, namespace?: string | null): AgentNode;
    createComment(value: string): AgentNode;
    createText(value: string): AgentNode;
    destroyNode(): void;
    appendChild(parent: AgentNode, newChild: AgentNode): void;
    insertBefore(parent: AgentNode, newChild: AgentNode, refChild: AgentNode, isMove?: boolean): void;
    removeChild(parent: AgentNode, oldChild: AgentNode, isHostElement?: boolean): void;
    selectRootElement(selectorOrNode: string | unknown, preserveContent?: boolean): AgentNode;
    parentNode(node: AgentNode): AgentNode | undefined;
    nextSibling(node: AgentNode): AgentNode | undefined;
    setAttribute(el: AgentNode, name: string, value: string, namespace?: string | null): void;
    removeAttribute(el: AgentNode, name: string, namespace?: string | null): void;
    addClass(el: AgentNode, name: string): void;
    removeClass(el: AgentNode, name: string): void;
    setStyle(el: AgentNode, style: string, value: string, flags?: RendererStyleFlags2): void;
    removeStyle(el: AgentNode, style: string, flags?: RendererStyleFlags2): void;
    setProperty(el: AgentNode, name: string, value: unknown): void;
    setValue(node: AgentNode, value: string): void;
    listen(target: AgentNode, eventName: string, callback: (event: WechatMiniprogram.BaseEvent) => boolean | void): () => void;
}


